3 Replies Latest reply on Jun 10, 2015 6:18 AM by Adam Hoffman

    How to set the layer for selected entitys

    Mario Zahren

      Hello all,

       

      I want to set the Layer for the selected entitys but I didn´t know how.

      I use the folowing code to select the entitys:

       

      Option Explicit

      Dim swApp As SldWorks.SldWorks

      Dim swModel As SldWorks.ModelDoc2

      Dim swModelDocExt As SldWorks.ModelDocExtension

      Dim swSelMgr As SldWorks.SelectionMgr

       

      Sub main()

       

          Set swApp = Application.SldWorks

          Set swModel = swApp.ActiveDoc

          Set swModelDocExt = swModel.Extension

          Set swSelMgr = swModel.SelectionManager

         

              swModelDocExt.SelectAll

       

      End Sub

       

      All entitys are selected but I can not figure out how to set the layer for each of them. All entitys should be on the same (1) layer.

       

      Hope anybody can help!

      Thanks a lot

       

      Mario